From 1cd96ccd4a533704652a4f8216c36f64e5555b8a Mon Sep 17 00:00:00 2001
From: Angus Gratton <gus@projectgus.com>
Date: Tue, 1 Jul 2014 18:13:28 +1000
Subject: [PATCH 4/4] target async loader: add offset to debug lines

Change-Id: Ia2eacc3e105403f70f51b1242b675e2ffe86e8ca
---
 src/target/target.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/src/target/target.c b/src/target/target.c
index 9416b25..2d7eabd 100644
--- a/src/target/target.c
+++ b/src/target/target.c
@@ -862,6 +862,8 @@ int target_run_flash_async_algorithm(struct target *target,
 	int retval;
 	int timeout = 0;
 
+	const uint8_t *buffer_orig = buffer;
+
 	/* Set up working area. First word is write pointer, second word is read pointer,
 	 * rest is fifo data area. */
 	uint32_t wp_addr = buffer_start;
@@ -902,7 +904,7 @@ int target_run_flash_async_algorithm(struct target *target,
 			break;
 		}
 
-		LOG_DEBUG("count 0x%" PRIx32 " wp 0x%" PRIx32 " rp 0x%" PRIx32, count, wp, rp);
+		LOG_DEBUG("offs 0x%zx count 0x%" PRIx32 " wp 0x%" PRIx32 " rp 0x%" PRIx32, (buffer-buffer_orig), count, wp, rp);
 
 		if (rp == 0) {
 			LOG_ERROR("flash write algorithm aborted by target");
-- 
2.0.0

